* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Open Sans', sans-serif;
    list-style: none;
    text-decoration: none;
    scroll-behavior: smooth;
}

body {
    height: 100vh;
    background-color: #fff;
    background-image: url('https://images.unsplash.com/photo-1563293815-7d1c589bd909?q=80&w=1171&auto=format&fit=crop&ixlib=rb-4.1.0&ixid=M3wxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8fA%3D%3D');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

li a {
    position: relative;
    font-size: 1rem;
    color: #000;
}
li a::before {
    content: '';
    position: absolute;
    height: 4px;
    width: 100%;
    border-radius: 1rem;
    left: 0;
    bottom: -5px;

    background: green;

    transform: scaleX(0);
    transform-origin: center;
    transition: transform 0.3s ease-in-out;
}
li a:hover::before {
    transform: scaleX(1);
}

/* Header */
header {
    position: relative;
    padding: 0 2rem;
}

nav {
    width: 100%;
    height: 60px;
    max-width: 1200px;
    margin: 0 auto;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

nav .logo {
    font-size: 1.5rem;
    font-weight: bold;
}

nav .links {
    display: flex;
    gap: 40px;
}

.action-btn {
    background-color: green;
    padding: 0.5rem 1rem;
    border-radius: 20px;
    font-size: 0.8rem;
    font-weight: bold;
    color: #fff;
}

.action-btn:hover {
    scale: 1.05;
    color: #fff;
}
.action-btn:active {
    scale: 0.95;
}

.toggle-btn {
    font-size: 1.5rem;
    cursor: pointer;
    display: none;
}

/* Dropdown Menu */
.dropdown-menu {
    display: none;
    position: absolute;
    right: 2rem;
    top: 60px;
    width: 300px;
    height: 0;
    border-radius: 10px;
    background: rgba(142, 142, 142, 0.1);
    backdrop-filter: blur(15px);
    overflow: hidden;
    transition: height 0.3s cubic-bezier(0.175, 0.885, 0.32, 1.275);
}

.dropdown-menu.open {
    height: 260px;
}

.dropdown-menu li {
    padding: 0.7rem;
    display: flex;
    justify-content: center;
}

.dropdown-menu .action-btn {
    width: 100%;
    display: flex;
    justify-content: center;
}

/* Main Hero */
section#hero {
    height: calc(100vh - 60px);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

#hero h1 {
    font-size: 3rem;
    margin-bottom: 1rem;
}

span {
    color: green;
}

/* Media Query */
@media(max-width: 992px) {
    nav .links,
    nav .action-btn {
        display: none;
    }

    .toggle-btn {
        display: block;
    }

    .dropdown-menu {
        display: block;
    }
}

@media(max-width: 576px) {
    .dropdown-menu {
        left: 2rem;
        width: unset;
    }
}
